> For the complete documentation index, see [llms.txt](https://docs.autogon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autogon.ai/autogon-engine-studio/deep-learning.md).

# Deep Learning

- [Artificial Neural Network (DL\_ANN)](https://docs.autogon.ai/autogon-engine-studio/deep-learning/artificial-neural-network-dl_ann.md): This function creates and uses a model consisting of layers of interconnected nodes (neurons) that process input data and produce output predictions.
- [Self Organizing Maps (DL\_SOM)](https://docs.autogon.ai/autogon-engine-studio/deep-learning/self-organizing-maps-dl_som.md): This function creates self organizing maps used for data clustering
- [Restricted Boltzmann Machine (DL\_RBM)](https://docs.autogon.ai/autogon-engine-studio/deep-learning/restricted-boltzmann-machine-dl_rbm.md): This function creates a Restricted Boltzmann Machine used for dimensionality reduction


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autogon.ai/autogon-engine-studio/deep-learning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
